#! /bin/sh

#
# The given argument is the number just fetched from the repository.
#

NAME=`siveco i ../../target_repository/siveco.xml -n ${1} -t nameLabel`

echo "Nr:             "${1}
echo "Name+Label:     "${NAME}

# delete some stuff
rm ../cleanBeforeBackup.sh

# create preprocessed files
# todo
cd ..
mkdir -p out/avr/UART
mkdir -p out/avr/SPI
CMD="java -cp /home/jens/projekte/avrasmpp/current/out/ T_AvrAsmPP"
${CMD} avr/UART/ser_isr.avr  out/avr/UART/
${CMD} avr/UART/ser_init.avr out/avr/UART/
${CMD} avr/UART/ser_ram.avr  out/avr/UART/
${CMD} avr/SPI/spi.avr       out/avr/SPI/
cd -

# create changelog
siveco i ../../target_repository/siveco.xml -t historyrev  > ../CHANGELOG

# create archive
cd ../../
tar cvfjh ${NAME}.tar.bz2 ${NAME}/*
